apeman-commons-logging
===========

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_codeclimate_coverage_badge_url]][my_codeclimate_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman common module for logging.


Installation
------------

Install module via [npm][npm_url].

```bash
# Install as local module.
$ npm install apeman-commons-logging --save
```

Usage
-----

### Console Logger

Create an instance and emit ansi-colored log to stdout/stderr.

```javascript
/**
 * This is an example to use console logger.
 * @see https://www.npmjs.com/package/colorprint
 */

"use strict";

var ConsoleLogger = require('apeman-commons-logging/lib/console_logger');

var logger = new ConsoleLogger({
    indent: 3 // Indent size for each line.
});

logger.notice('This is NOTICE message.');
logger.info('This is INFO message.');
logger.debug('This is DEBUG message.');
logger.trace('This is TRACE message.');
logger.error('This is ERROR message.');
logger.fatal('This is FATAL message.');

```
### Message Formatter

Create an instance and format message.

```javascript

```
### Logger for apeman app

Create a logger instance for apeman app packages

```javascript
var logging = require('apeman-commons-logging');

var logger = logger.apemanAppLogger({});

logger.debug('Some debug message.');


```
### Logger for apeman ui

Create a logger instance for apeman ui packages

```javascript
var logging = require('apeman-commons-logging');

var logger = logger.apemanUiLogger({});

logger.debug('Some debug message.');


```

License
-------

This software is released under the [MIT License][my_license_url].


Links
-----

+ [apeman][apeman_url]
+ [colorprint](https://www.npmjs.com/package/colorprint)

[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[my_repo_url]: https://github.com/apeman-repo/apeman-commons-logging
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-commons-logging
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-commons-logging.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-commons-logging/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-commons-logging
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-commons-logging.svg?style=flat
[my_codeclimate_coverage_badge_url]: http://img.shields.io/codeclimate/coverage/github/apeman-repo/apeman-commons-logging.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-commons-logging
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-commons-logging.svg?style=flat