/**
 * Create a logger for apeman app package.
 * @memberof module:apeman-commons-logging/lib
 * @function apemanAppLogger
 * @returns {Logger} - A logger instance.
 */

"use strict";

var Logger = require('./logger'),
    util = require('util');

/** @lends apemanAppLogger */
function apemanAppLogger(pkg) {
    var name = pkg && pkg.name || 'apeman-app';
    return new Logger({
        PREFIX: util.format('[%s] ', name)
    });
}

module.exports = apemanAppLogger;
